---------------------
PatchSet 10830 
Date: 2007/05/23 21:10:06
Author: hno
Branch: HEAD
Tag: (none) 
Log:
Kill the redundant url_convert_hex function. Equivalent to rfc1738_unescape

Members: 
	src/gopher.cc:1.207->1.208 
	src/protos.h:1.545->1.546 
	src/url.cc:1.160->1.161 

Index: squid3/src/gopher.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/gopher.cc,v
retrieving revision 1.207
retrieving revision 1.208
diff -u -r1.207 -r1.208
--- squid3/src/gopher.cc	23 May 2007 21:07:43 -0000	1.207
+++ squid3/src/gopher.cc	23 May 2007 21:10:06 -0000	1.208
@@ -1,6 +1,6 @@
 
 /*
- * $Id: gopher.cc,v 1.207 2007/05/23 21:07:43 hno Exp $
+ * $Id: gopher.cc,v 1.208 2007/05/23 21:10:06 hno Exp $
  *
  * DEBUG: section 10    Gopher
  * AUTHOR: Harvest Derived
@@ -248,7 +248,7 @@
     if (request) {
         xstrncpy(request, path + 1, MAX_URL);
         /* convert %xx to char */
-        url_convert_hex(request, 0);
+        rfc1738_unescape(request);
     }
 }
 
Index: squid3/src/protos.h
===================================================================
RCS file: /cvsroot/squid/squid3/src/protos.h,v
retrieving revision 1.545
retrieving revision 1.546
diff -u -r1.545 -r1.546
--- squid3/src/protos.h	23 May 2007 21:07:43 -0000	1.545
+++ squid3/src/protos.h	23 May 2007 21:10:07 -0000	1.546
@@ -1,6 +1,6 @@
 
 /*
- * $Id: protos.h,v 1.545 2007/05/23 21:07:43 hno Exp $
+ * $Id: protos.h,v 1.546 2007/05/23 21:10:07 hno Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -624,8 +624,6 @@
 SQUIDCEXTERN void unlinkdUnlink(const char *);
 #endif
 
-SQUIDCEXTERN char *url_convert_hex(char *org_url, int allocate);
-SQUIDCEXTERN char *url_escape(const char *url);
 SQUIDCEXTERN protocol_t urlParseProtocol(const char *, const char *e = NULL);
 SQUIDCEXTERN void urlInitialize(void);
 SQUIDCEXTERN HttpRequest *urlParse(method_t, char *, HttpRequest *request = NULL);
Index: squid3/src/url.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/url.cc,v
retrieving revision 1.160
retrieving revision 1.161
diff -u -r1.160 -r1.161
--- squid3/src/url.cc	23 May 2007 21:07:43 -0000	1.160
+++ squid3/src/url.cc	23 May 2007 21:10:07 -0000	1.161
@@ -1,6 +1,6 @@
 
 /*
- * $Id: url.cc,v 1.160 2007/05/23 21:07:43 hno Exp $
+ * $Id: url.cc,v 1.161 2007/05/23 21:10:07 hno Exp $
  *
  * DEBUG: section 23    URL Parsing
  * AUTHOR: Duane Wessels
@@ -49,38 +49,6 @@
     "0123456789-."
     ;
 
-/* convert %xx in url string to a character
- * Allocate a new string and return a pointer to converted string */
-
-char *
-url_convert_hex(char *org_url, int allocate)
-{
-    static char code[] = "00";
-    char *url = NULL;
-    char *s = NULL;
-    char *t = NULL;
-    url = allocate ? (char *) xstrdup(org_url) : org_url;
-
-    if ((int) strlen(url) < 3 || !strchr(url, '%'))
-        return url;
-
-    for (s = t = url; *s; s++) {
-        if (*s == '%' && *(s + 1) && *(s + 2)) {
-            code[0] = *(++s);
-            code[1] = *(++s);
-            *t++ = (char) strtol(code, NULL, 16);
-        } else {
-            *t++ = *s;
-        }
-    }
-
-    do {
-        *t++ = *s;
-    } while (*s++);
-
-    return url;
-}
-
 void
 urlInitialize(void)
 {
